<?php
/**
 * ISO Project
 *
 * @category   Malf
 * @package    Malf_View
 * @subpackage Helper
 * @version    1.0
 */

/** Zend_View_Helper_Abstract.php */
require_once 'Zend/View/Helper/Abstract.php';

/**
 * Helper for switching odd and even row´s style
 *
 * @package    Zend_View
 * @subpackage Helper
 * @copyright  Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
 * @license    http://framework.zend.com/license/new-bsd     New BSD License
 */
class Malf_View_Helper_Evod extends Zend_View_Helper_Abstract
{		
	public function evod($odd, $even, $reset = false)
    {
    	static $switcher = true;
		if ($reset) $witcher = true;    	
    	
    	if ($switcher) {
    		$switcher = false;
    		return $odd;
    	} else {
    		$switcher = true;
    		return $even;
    	}
    }
}
